---
title: Screen.mozBrightness
slug: Web/API/Screen/mozBrightness
tags:
  - API
  - 'API:Mozilla Extensions'
  - Deprecated
  - Non-standard
  - Property
---
<p>{{APIRef("CSSOM")}}{{Non-standard_Header}}{{Deprecated_Header}}</p>

<p>Indicates how bright the screen's backlight is, on a scale from 0 (very dim) to 1 (full brightness); this value is a double-precision float.</p>

<p>You can read and write this attribute even when the screen is disabled, but the backlight is off while the screen is disabled. If you write a value of X into this attribute, the attribute may not have the same value X when you later read it. Most screens don't support as many different brightness levels as there are doubles between 0 and 1. The value's precision might be reduced before storing it.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <var>screenBrightness</var> = window.screen.mozBrightness;</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Screen.mozBrightness")}}</p>
